Subject: bug#30063: 26.0.90; Silent fail with `rst-compile-pdf-preview'

From: Noam Postavsky <[email-masked]>
Date: Tue, 30 Jan 2018 09:30:30 -0500

On Tue, Jan 30, 2018 at 8:49 AM, Eli Zaretskii <[email-masked]> wrote:

> Yes, we could do that.  But can we signal an error only when the
> command fails?  That should minimize false negatives.

I think it's a bit tricky due to being asynchronous, though it should be doable.

> Also please note that the shell command as written is unportable: the
> ";" part will not work on MS-Windows, we need to use "&" instead.  But
> that's a separate issue.

"&" would do the wrong thing for a POSIX sh compatible shell, so the
only way to fix that would be to avoid the shell entirely like Glenn
hinted at.